Summary:	KDE Integrated Development Environment
Name:		kdevelop
Version:	5.2.3
Release:	1
Epoch:		4
License:	GPLv2+
Group:		Development/C++
Url:		http://www.kdevelop.org/
Source0:	http://download.kde.org/stable/kdevelop/%{version}/src/%{name}-%{version}.tar.xz
Source1:	kdevelop-5.2.1_ru.tar.gz
Source10:	kdevelop.rpmlintrc
BuildRequires:	extra-cmake-modules
BuildRequires:	plasma-framework
BuildRequires:	qt5-tools
BuildRequires:	clang-devel
BuildRequires:	llvm-devel
BuildRequires:	cppcheck
BuildRequires:	kdevelop-pg-qt-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5crash-devel
BuildRequires:	kf5declarative-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5itemmodels-devel
BuildRequires:	kf5itemviews-devel
BuildRequires:	kf5jobwidgets-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5newstuff-devel
BuildRequires:	kf5notifyconfig-devel
BuildRequires:	kf5parts-devel
BuildRequires:	kf5plasma-devel
BuildRequires:	kf5runner-devel
BuildRequires:	kf5service-devel
BuildRequires:	kf5sysguard-devel
BuildRequires:	kf5texteditor-devel
BuildRequires:	kf5threadweaver-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5QuickWidgets)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5WebEngineWidgets)
BuildRequires:	pkgconfig(Qt5WebKit)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(shared-mime-info)
Requires:	cmake
Requires:	extra-cmake-modules
Requires:	gdb
Requires:	git
Requires:	kdevplatform = %{EVRD}
Requires:	kdevplatform-devel = %{EVRD}
Requires:	kdevelop-pg-qt
Requires:	plasma-framework
Suggests:	plasma5-applet-kdevelopsessions
Requires:	plasma5-runner-kdevelopsessions
Conflicts:	kdevelop4 < 4:5.0
Obsoletes:	kdevelop4 < 4:5.0

%description
The KDevelop Integrated Development Environment provides many features that
developers need as well as providing a unified interface to programs like gdb,
the C/C++ compiler, and make.

KDevelop manages or provides:
   * All development tools needed for C++ programming like Compiler, Linker,
     automake and autoconf
   * KAppWizard, which generates complete, ready-to-go sample applications
   * Classgenerator, for creating new classes and integrating them into the
     current project
   * File management for sources, headers, documentation etc. to be included in
     the project
   * The creation of User-Handbooks written with SGML and the automatic
     generation of HTML-output with the KDE look and feel
   * Automatic HTML-based API-documentation for your project's classes with
     cross-references to the used libraries; Internationalization support for
     your application, allowing translators to easily add their target language
     to a project
   * WYSIWYG (What you see is what you get) creation of user interfaces with a
     built-in dialog editor
   * Debugging your application by integrating KDbg
   * Editing of project-specific pixmaps with KIconEdit
   * The inclusion of any other program you need for development by adding it
     to the "Tools" menu according to your individual needs.

%files -f %{name}.lang
%{_sysconfdir}/xdg/kdevelop.categories
%{_kde5_applicationsdir}/*.desktop
%{_kde5_bindir}/*
%exclude %{_kde5_bindir}/kdev_dbus_socket_transformer
%exclude %{_kde5_bindir}/kdev_format_source
%exclude %{_kde5_bindir}/kdevplatform_shell_environment.sh
%{_kde5_datadir}/kdevappwizard
%{_kde5_datadir}/kdevclangsupport
%{_kde5_datadir}/kdevelop
%{_kde5_datadir}/kdevfiletemplates
%{_kde5_datadir}/kdevgdb
%{_kde5_datadir}/kdevmanpage
%{_kde5_datadir}/kdevqmakebuilder
%{_kde5_datadir}/kdevqmljssupport
%{_kde5_iconsdir}/hicolor/*/apps/%{name}.png
%{_kde5_iconsdir}/hicolor/*/apps/kdevgh.png
%{_kde5_iconsdir}/hicolor/*/apps/cmake.png
%{_kde5_iconsdir}/hicolor/*/apps/cppcheck.png
%{_kde5_iconsdir}/hicolor/*/apps/github-*.png
%{_kde5_libdir}/libkdevcmakecommon.so
%{_kde5_notificationsdir}/kdevelop.notifyrc
%{_appdatadir}/org.kde.kdevelop.appdata.xml
%{_datadir}/mime/packages/kdevelop.xml
%{_datadir}/mime/packages/kdevclang.xml

#----------------------------------------------------------------------------

%package -n plasma5-applet-kdevelopsessions
Summary:	Plasma 5 show KDevelop sessions applet
Group:		Graphical desktop/KDE
Requires:	plasma5-dataengine-kdevelopsessions >= %{EVRD}
Obsoletes:	plasma-applet-kdevelopsessions < 4:5.0

%description -n plasma5-applet-kdevelopsessions
Plasma 5 show KDevelop sessions applet.

%files -n plasma5-applet-kdevelopsessions
%{_kde5_services}/plasma-applet-kdevelopsessions.desktop
%{_kde5_datadir}/plasma/plasmoids/kdevelopsessions

#----------------------------------------------------------------------------

%package -n plasma5-dataengine-kdevelopsessions
Summary:	Plasma 5 KDevelop sessions dataengine
Group:		Graphical desktop/KDE
Requires:	%{name}
Obsoletes:	plasma-dataengine-kdevelopsessions < 4:5.0

%description -n plasma5-dataengine-kdevelopsessions
Plasma 5 KDevelop sessions dataengine.

%files -n plasma5-dataengine-kdevelopsessions
%{_kde5_services}/plasma-dataengine-kdevelopsessions.desktop
%{_kde5_datadir}/plasma/services/org.kde.plasma.dataengine.kdevelopsessions.operations
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_kdevelopsessions.so

#----------------------------------------------------------------------------

%package -n plasma5-runner-kdevelopsessions
Summary:	Plasma 5 KDevelop sessions runner
Group:		Graphical desktop/KDE
Requires:	%{name}

%description -n plasma5-runner-kdevelopsessions
Plasma 5 KDevelop sessions runner.

%files -n plasma5-runner-kdevelopsessions
%{_kde5_services}/kdevelopsessions.desktop
%{_qt5_plugindir}/krunner_kdevelopsessions.so

#----------------------------------------------------------------------------

%define kdevclangprivate_major 30
%define libkdevclangprivate %mklibname kdevclangprivate %{kdevclangprivate_major}

%package -n %{libkdevclangprivate}
Summary:	KDE Integrated Development Environment shared library
Group:		System/Libraries

%description -n %{libkdevclangprivate}
KDE Integrated Development Environment shared library.

%files -n %{libkdevclangprivate}
%{_kde5_libdir}/libKDevClangPrivate.so.%{kdevclangprivate_major}*

#----------------------------------------------------------------------------

%package devel
Summary:	Development files for KDevelop
Group:		Development/KDE and Qt
Conflicts:	kdevelop4-devel < 4:5.0
Obsoletes:	kdevelop4-devel < 4:5.0

%description devel
Development files for KDevelop.

%files devel
%{_kde5_libdir}/cmake/KDevelop/
%{_kde5_includedir}/kdevelop

#----------------------------------------------------------------------------

%package -n kdevlldb
Summary:	LLDB support for KDevelop
Group:		Graphical desktop/KDE
Requires:	%{name}

%description -n kdevlldb
LLDB support for KDevelop.

%files -n kdevlldb
%{_kde5_datadir}/kdevlldb/formatters/*.py

#---------------------------------------------------------------------------
### KdevPlatform ###
#---------------------------------------------------------------------------
%define kdmajor 52
%define kdname kdevplatform

%package -n %{kdname}
Summary:	KDE Integrated Development Environment platform
Group:		Graphical desktop/KDE
BuildRequires:	boost-devel
BuildRequires:	grantlee-qt5-devel
BuildRequires:	kf5archive-devel
BuildRequires:	kf5guiaddons-devel
BuildRequires:	kf5jobwidgets-devel
BuildRequires:	kf5notifications-devel
BuildRequires:	kf5sonnet-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	libkomparediff2-devel
BuildRequires:	subversion-devel
BuildRequires:	pkgconfig(apr-1)
BuildRequires:	pkgconfig(apr-util-1)
BuildRequires:	pkgconfig(Qt5DBus)
Requires:	kdevelop = %{EVRD}
Conflicts:	kdevplatform4 < 4:5.0
Obsoletes:	kdevplatform4 < 4:5.0
Conflicts:	kdevplatform < 4:5.2.1
Obsoletes:	kdevplatform < 4:5.2.1

%description -n %{kdname}
KDE Integrated Development Environment platform.

%files -n %{kdname}
%{_sysconfdir}/xdg/kdevplatform.categories
%{_kde5_bindir}/kdev_dbus_socket_transformer
%{_kde5_bindir}/kdev_format_source
%{_kde5_bindir}/kdevplatform_shell_environment.sh
%dir %{_kde5_datadir}/kdevcodegen/
%{_kde5_datadir}/kdevcodegen/*
%dir %{_kde5_datadir}/kdevcodeutils/
%{_kde5_datadir}/kdevcodeutils/*
%dir %{_kde5_datadir}/%{kdname}/
%dir %{_kde5_datadir}/%{kdname}/shellutils/
%{_kde5_datadir}/%{kdname}/shellutils/.zshrc
%{_kde5_iconsdir}/hicolor/*/actions/breakpoint.png
%{_kde5_iconsdir}/hicolor/*/apps/bazaar.png
%{_kde5_iconsdir}/hicolor/*/apps/subversion.png
%{_kde5_iconsdir}/hicolor/scalable/actions/breakpoint.svg
%{_kde5_iconsdir}/hicolor/scalable/apps/git.svg
%{_kde5_iconsdir}/hicolor/scalable/apps/subversion.svg
%{_kde5_servicetypes}/kdevelopplugin.desktop
%{_qt5_plugindir}/grantlee/*/kdev_filters.so
%{_qt5_plugindir}/kdevplatform/*/*.so

#----------------------------------------------------------------------------

%define qmlkdevplatform %mklibname kdevplatform-qml

%package -n %{qmlkdevplatform}
Summary:	QML plugin for KDE Integrated Development Environment platform
Group:		System/Libraries
Provides:	kdevplatform-qml = %{EVRD}

%description -n %{qmlkdevplatform}
QML plugin for KDE Integrated Development Environment platform.

%files -n %{qmlkdevplatform}
%dir %{_kde5_qmldir}/org/kde/kdevplatform/
%{_kde5_qmldir}/org/kde/kdevplatform/*

#----------------------------------------------------------------------------

%define libkdevplatformdebugger %mklibname kdevplatformdebugger %{kdmajor}

%package -n %{libkdevplatformdebugger}
Summary:	KDE Integrated Development Environment platform shared library
Group:		System/Libraries

%description -n %{libkdevplatformdebugger}
KDE Integrated Development Environment platform shared library.

%files -n %{libkdevplatformdebugger}
%{_kde5_libdir}/libKDevPlatformDebugger.so.%{kdmajor}*
%{_kde5_libdir}/libKDevPlatformDebugger.so.%{version}

#----------------------------------------------------------------------------

%define libkdevplatformdocumentation %mklibname kdevplatformdocumentation %{kdmajor}

%package -n %{libkdevplatformdocumentation}
Summary:	KDE Integrated Development Environment platform shared library
Group:		System/Libraries

%description -n %{libkdevplatformdocumentation}
KDE Integrated Development Environment platform shared library.

%files -n %{libkdevplatformdocumentation}
%{_kde5_libdir}/libKDevPlatformDocumentation.so.%{kdmajor}*
%{_kde5_libdir}/libKDevPlatformDocumentation.so.%{version}

#----------------------------------------------------------------------------

%define libkdevplatforminterfaces %mklibname kdevplatforminterfaces %{kdmajor}

%package -n %{libkdevplatforminterfaces}
Summary:	KDE Integrated Development Environment platform shared library
Group:		System/Libraries
Requires:	kdevplatform-qml

%description -n %{libkdevplatforminterfaces}
KDE Integrated Development Environment platform shared library.

%files -n %{libkdevplatforminterfaces}
%{_kde5_libdir}/libKDevPlatformInterfaces.so.%{kdmajor}*
%{_kde5_libdir}/libKDevPlatformInterfaces.so.%{version}

#----------------------------------------------------------------------------

%define libkdevplatformlanguage %mklibname kdevplatformlanguage %{kdmajor}

%package -n %{libkdevplatformlanguage}
Summary:	KDE Integrated Development Environment platform shared library
Group:		System/Libraries

%description -n %{libkdevplatformlanguage}
KDE Integrated Development Environment platform shared library.

%files -n %{libkdevplatformlanguage}
%{_kde5_libdir}/libKDevPlatformLanguage.so.%{kdmajor}*
%{_kde5_libdir}/libKDevPlatformLanguage.so.%{version}

#----------------------------------------------------------------------------

%define libkdevplatformoutputview %mklibname kdevplatformoutputview %{kdmajor}

%package -n %{libkdevplatformoutputview}
Summary:	KDE Integrated Development Environment platform shared library
Group:		System/Libraries

%description -n %{libkdevplatformoutputview}
KDE Integrated Development Environment platform shared library.

%files -n %{libkdevplatformoutputview}
%{_kde5_libdir}/libKDevPlatformOutputView.so.%{kdmajor}*
%{_kde5_libdir}/libKDevPlatformOutputView.so.%{version}

#----------------------------------------------------------------------------

%define libkdevplatformproject %mklibname kdevplatformproject %{kdmajor}

%package -n %{libkdevplatformproject}
Summary:	KDE Integrated Development Environment platform shared library
Group:		System/Libraries

%description -n %{libkdevplatformproject}
KDE Integrated Development Environment platform shared library.

%files -n %{libkdevplatformproject}
%{_kde5_libdir}/libKDevPlatformProject.so.%{kdmajor}*
%{_kde5_libdir}/libKDevPlatformProject.so.%{version}

#----------------------------------------------------------------------------

%define libkdevplatformserialization %mklibname kdevplatformserialization %{kdmajor}

%package -n %{libkdevplatformserialization}
Summary:	KDE Integrated Development Environment platform shared library
Group:		System/Libraries

%description -n %{libkdevplatformserialization}
KDE Integrated Development Environment platform shared library.

%files -n %{libkdevplatformserialization}
%{_kde5_libdir}/libKDevPlatformSerialization.so.%{kdmajor}*
%{_kde5_libdir}/libKDevPlatformSerialization.so.%{version}

#----------------------------------------------------------------------------

%define libkdevplatformshell %mklibname kdevplatformshell %{kdmajor}

%package -n %{libkdevplatformshell}
Summary:	KDE Integrated Development Environment platform shared library
Group:		System/Libraries

%description -n %{libkdevplatformshell}
KDE Integrated Development Environment platform shared library.

%files -n %{libkdevplatformshell}
%{_kde5_libdir}/libKDevPlatformShell.so.%{kdmajor}*
%{_kde5_libdir}/libKDevPlatformShell.so.%{version}

#----------------------------------------------------------------------------

%define libkdevplatformsublime %mklibname kdevplatformsublime %{kdmajor}

%package -n %{libkdevplatformsublime}
Summary:	KDE Integrated Development Environment platform shared library
Group:		System/Libraries

%description -n %{libkdevplatformsublime}
KDE Integrated Development Environment platform shared library.

%files -n %{libkdevplatformsublime}
%{_kde5_libdir}/libKDevPlatformSublime.so.%{kdmajor}*
%{_kde5_libdir}/libKDevPlatformSublime.so.%{version}

#----------------------------------------------------------------------------

%define libkdevplatformtests %mklibname kdevplatformtests %{kdmajor}

%package -n %{libkdevplatformtests}
Summary:	KDE Integrated Development Environment platform shared library
Group:		System/Libraries

%description -n %{libkdevplatformtests}
KDE Integrated Development Environment platform shared library.

%files -n %{libkdevplatformtests}
%{_kde5_libdir}/libKDevPlatformTests.so.%{kdmajor}*
%{_kde5_libdir}/libKDevPlatformTests.so.%{version}

#----------------------------------------------------------------------------

%define libkdevplatformutil %mklibname kdevplatformutil %{kdmajor}

%package -n %{libkdevplatformutil}
Summary:	KDE Integrated Development Environment platform shared library
Group:		System/Libraries

%description -n %{libkdevplatformutil}
KDE Integrated Development Environment platform shared library.

%files -n %{libkdevplatformutil}
%{_kde5_libdir}/libKDevPlatformUtil.so.%{kdmajor}*
%{_kde5_libdir}/libKDevPlatformUtil.so.%{version}

#----------------------------------------------------------------------------

%define libkdevplatformvcs %mklibname kdevplatformvcs %{kdmajor}

%package -n %{libkdevplatformvcs}
Summary:	KDE Integrated Development Environment platform shared library
Group:		System/Libraries

%description -n %{libkdevplatformvcs}
KDE Integrated Development Environment platform shared library.

%files -n %{libkdevplatformvcs}
%{_kde5_libdir}/libKDevPlatformVcs.so.%{kdmajor}*
%{_kde5_libdir}/libKDevPlatformVcs.so.%{version}

#----------------------------------------------------------------------------

%define devkdevplatform %mklibname kdevplatform -d

%package -n %{devkdevplatform}
Summary:	Development files for KDE Integrated Development Environment platform
Group:		Development/KDE and Qt
Requires:	%{libkdevplatformdebugger} = %{EVRD}
Requires:	%{libkdevplatformdocumentation} = %{EVRD}
Requires:	%{libkdevplatforminterfaces} = %{EVRD}
Requires:	%{libkdevplatformlanguage} = %{EVRD}
Requires:	%{libkdevplatformoutputview} = %{EVRD}
Requires:	%{libkdevplatformproject} = %{EVRD}
Requires:	%{libkdevplatformserialization} = %{EVRD}
Requires:	%{libkdevplatformshell} = %{EVRD}
Requires:	%{libkdevplatformsublime} = %{EVRD}
Requires:	%{libkdevplatformtests} = %{EVRD}
Requires:	%{libkdevplatformutil} = %{EVRD}
Requires:	%{libkdevplatformvcs} = %{EVRD}
Provides:	%{kdname}-devel = %{EVRD}
Conflicts:	%{_lib}kdevplatform4-devel < 4:5.0
Obsoletes:	%{_lib}kdevplatform4-devel < 4:5.0
Conflicts:	%{_lib}kdevplatform-devel < 4:5.2.1
Obsoletes:	%{_lib}kdevplatform-devel < 4:5.2.1

%description -n %{devkdevplatform}
This package contains header files needed if you wish to build applications
based on %{kdname}.

%files -n %{devkdevplatform}
%{_kde5_includedir}/kdevplatform
%{_kde5_libdir}/cmake/KDevPlatform
%{_kde5_libdir}/libKDevPlatformDebugger.so
%{_kde5_libdir}/libKDevPlatformDocumentation.so
%{_kde5_libdir}/libKDevPlatformInterfaces.so
%{_kde5_libdir}/libKDevPlatformLanguage.so
%{_kde5_libdir}/libKDevPlatformOutputView.so
%{_kde5_libdir}/libKDevPlatformProject.so
%{_kde5_libdir}/libKDevPlatformSerialization.so
%{_kde5_libdir}/libKDevPlatformShell.so
%{_kde5_libdir}/libKDevPlatformSublime.so
%{_kde5_libdir}/libKDevPlatformTests.so
%{_kde5_libdir}/libKDevPlatformUtil.so
%{_kde5_libdir}/libKDevPlatformVcs.so

#---------------------------------------------------------------------------
### End of KdevPlatform ###
#---------------------------------------------------------------------------

%prep
%setup -q

pushd po
tar -xvzf %{SOURCE1}
popd

%build
%cmake_kde5
%make -s

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-html --with-kde

%changelog
